JtaIsolationDelegate (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.internal.jta
Class JtaIsolationDelegate

    java.lang.Object
      org.hibernate.engine.transaction.internal.jta.JtaIsolationDelegate

All Implemented Interfaces:
  IsolationDelegate

    public class JtaIsolationDelegate

extends Object
implements IsolationDelegate

An isolation delegate for JTA environments.

Constructor Summary
`JtaIsolationDelegate(TransactionCoordinator transactionCoordinator)`

Method Summary
`protected ConnectionProvider` | `connectionProvider()`
`
`<T> T`
` | `delegateWork(WorkExecutorVisitable<T> work, boolean transacted)` Perform the given work in isolation from current transaction.
`protected SqlExceptionHelper` | `sqlExceptionHelper()`
`protected TransactionManager` | `transactionManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JtaIsolationDelegate

    public JtaIsolationDelegate(TransactionCoordinator transactionCoordinator)

Method Detail

### transactionManager

    protected TransactionManager transactionManager()

### connectionProvider

    protected ConnectionProvider connectionProvider()

### sqlExceptionHelper

    protected SqlExceptionHelper sqlExceptionHelper()

### delegateWork

    public <T> T delegateWork(WorkExecutorVisitable<T> work,
                              boolean transacted)
                   throws HibernateException

  Description copied from interface: `IsolationDelegate`
  Perform the given work in isolation from current transaction.

  Specified by:
    `delegateWork` in interface `IsolationDelegate`
  Parameters:
    `work` - The work to be performed.
    `transacted` - Should the work itself be done in a (isolated) transaction?
  Returns:
    The work result
  Throws:
    `HibernateException` - Indicates a problem performing the work.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.